data:extend(
{
	{
    type = "capsule",
    name = "robot-556x45",
    icon = "__base__/graphics/icons/defender-capsule.png",
    flags = {"goes-to-quickbar"},
    capsule_action =
    {
      type = "throw",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 15,
        projectile_creation_distance = 0.6,
        range = 10,
        ammo_type =
        {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "projectile",
              projectile = "robot-556x45p",
              starting_speed = 0.3
            }
          }
        }
      }
    },
   subgroup = "armor",
    order = "x-a",
    stack_size = 1
  },
	
	{
    type = "projectile",
    name = "robot-556x45p",
    flags = {"not-on-map"},
    acceleration = 0,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            show_in_tooltip = true,
            entity_name = "robot-556x45",
          },
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/defender-capsule.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/combat-robot-capsule-shadow.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
  },
	
	{
    type = "combat-robot",
    name = "robot-556x45",
    icon = "__base__/graphics/icons/defender.png",
    flags = {"placeable-player", "player-creation", "not-repairable", "placeable-off-grid", "not-on-map"},
    subgroup="capsule",
    order="e-a-a",
    max_health = 100,
	resistances = 
    {
	  {
        type = "physical",
        percent = 100,
		decrease = 0,
      },
	  {
        type = "fire",
		percent = 100,
		decrease = 0,
      },
	  {
        type = "piercing",
        percent = 100,
		decrease = 0,
      }
    },
    collision_box = {{0, 0}, {0, 0}},
    distance_per_frame = 0.13,
    time_to_live = 60 * 3600,
    follows_player = true,
    friction = 0.01,
    range_from_player = 2.0,
    speed = 0.01,
    destroy_action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        source_effects =
        {
            type = "create-entity",
            entity_name = "explosion"
        }
      }
    },
	attack_parameters =
    {
    type = "projectile",
    range = 20,
    cooldown = 6,
	sound =
      {
        {
          filename = "__hardcorio__/sound/player/weapons/m60.wav",
          volume = 0.4
        }
      },
    ammo_type =
    {
      category = "556x45",
      action =
      {
		type = "direct",
		action_delivery =
		{
			{
			type = "instant",
			source_effects =
			{
				{
				type = "damage",
				damage = { amount = 0.1, type = "explosion"}
				}
			}	
			},
			{
			type = "projectile",
			projectile = "p556x45ap",
			starting_speed = 3,
			max_range = 24
			},
		}
	}}},
    idle =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot.png",
          priority = "high",
          line_length = 16,
          width = 32,
          height = 33,
          frame_count = 1,
          direction_count = 16,
          shift = {0, 0.015625}
        },
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot-mask.png",
          priority = "high",
          line_length = 16,
          width = 18,
          height = 16,
          frame_count = 1,
          direction_count = 16,
          shift = {0, -0.125},
          apply_runtime_tint = true
        },
      }
    },
    shadow_idle =
    {
      filename = "__base__/graphics/entity/defender-robot/defender-robot-shadow.png",
      priority = "high",
      line_length = 16,
      width = 43,
      height = 23,
      frame_count = 1,
      direction_count = 16,
      shift = {0.859375, 0.609375}
    },
    in_motion =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot.png",
          priority = "high",
          line_length = 16,
          width = 32,
          height = 33,
          frame_count = 1,
          direction_count = 16,
          shift = {0, 0.015625},
          y = 33
        },
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot-mask.png",
          priority = "high",
          line_length = 16,
          width = 18,
          height = 16,
          frame_count = 1,
          direction_count = 16,
          shift = {0, -0.125},
          apply_runtime_tint = true,
          y = 16
        },
      }
    },
    shadow_in_motion =
    {
      filename = "__base__/graphics/entity/defender-robot/defender-robot-shadow.png",
      priority = "high",
      line_length = 16,
      width = 43,
      height = 23,
      frame_count = 1,
      direction_count = 16,
      shift = {0.859375, 0.609375}
    }
  },

	{
    type = "capsule",
    name = "robot-762x39",
    icon = "__base__/graphics/icons/distractor-capsule.png",
    flags = {"goes-to-quickbar"},
    capsule_action =
    {
      type = "throw",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 15,
        projectile_creation_distance = 0.6,
        range = 10,
        ammo_type =
        {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "projectile",
              projectile = "robot-762x39p",
              starting_speed = 0.3
            }
          }
        }
      }
    },
   subgroup = "armor",
    order = "x-b",
    stack_size = 1
  },
	
	{
    type = "projectile",
    name = "robot-762x39p",
    flags = {"not-on-map"},
    acceleration = 0,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            show_in_tooltip = true,
            entity_name = "robot-762x39",
          },
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/distractor-capsule.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/combat-robot-capsule-shadow.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
  },
	
	{
    type = "combat-robot",
    name = "robot-762x39",
    icon = "__base__/graphics/icons/distractor.png",
    flags = {"placeable-player", "player-creation", "not-repairable", "placeable-off-grid", "not-on-map"},
    subgroup="capsule",
    order="e-a-a",
    max_health = 100,
	resistances = 
    {
	  {
        type = "physical",
        percent = 100,
		decrease = 0,
      },
	  {
        type = "fire",
		percent = 100,
		decrease = 0,
      },
	  {
        type = "piercing",
        percent = 100,
		decrease = 0,
      }
    },
    collision_box = {{0, 0}, {0, 0}},
    distance_per_frame = 0.13,
    time_to_live = 60 * 3600,
    follows_player = true,
    friction = 0.01,
    range_from_player = 2.0,
    speed = 0.01,
    destroy_action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        source_effects =
        {
            type = "create-entity",
            entity_name = "explosion"
        }
      }
    },
	attack_parameters =
    {
    type = "projectile",
    range = 24,
    cooldown = 20,
	sound =
      {
        {
          filename = "__hardcorio__/sound/player/weapons/ak47.wav",
          volume = 0.4
        }
      },
    ammo_type =
    {
      category = "762x39",
      action =
      {
		type = "direct",
		action_delivery =
		{
			{
			type = "instant",
			source_effects =
			{
				{
				type = "damage",
				damage = { amount = 0.33, type = "explosion"}
				}
			}	
			},
			{
			type = "projectile",
			projectile = "p762x39ap",
			starting_speed = 3,
			max_range = 24
			},
		}
	}}},
    idle =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/distractor-robot/distractor-robot.png",
          priority = "high",
          line_length = 16,
          width = 38,
          height = 33,
          frame_count = 1,
          direction_count = 16,
          shift = {0, -0.078125}
        },
        {
          filename = "__base__/graphics/entity/distractor-robot/distractor-robot-mask.png",
          priority = "high",
          line_length = 16,
          width = 24,
          height = 21,
          frame_count = 1,
          direction_count = 16,
          shift = {0, -0.203125},
          apply_runtime_tint = true
        }
      }
    },
    shadow_idle =
    {
      filename = "__base__/graphics/entity/distractor-robot/distractor-robot-shadow.png",
      priority = "high",
      line_length = 16,
      width = 40,
      height = 25,
      frame_count = 1,
      direction_count = 16,
      shift = {0.9375, 0.609375}
    },
    in_motion =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/distractor-robot/distractor-robot.png",
          priority = "high",
          line_length = 16,
          width = 38,
          height = 33,
          frame_count = 1,
          direction_count = 16,
          shift = {0, -0.078125},
          y = 33
        },
        {
          filename = "__base__/graphics/entity/distractor-robot/distractor-robot-mask.png",
          priority = "high",
          line_length = 16,
          width = 24,
          height = 21,
          frame_count = 1,
          direction_count = 16,
          shift = {0, -0.203125},
          apply_runtime_tint = true,
          y = 21
        }
      }
    },
    shadow_in_motion =
    {
      filename = "__base__/graphics/entity/distractor-robot/distractor-robot-shadow.png",
      priority = "high",
      line_length = 16,
      width = 40,
      height = 25,
      frame_count = 1,
      direction_count = 16,
      shift = {0.9375, 0.609375}
    }
  },
	{
    type = "capsule",
    name = "robot-127x99",
    icon = "__base__/graphics/icons/destroyer-capsule.png",
    flags = {"goes-to-quickbar"},
    capsule_action =
    {
      type = "throw",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 15,
        projectile_creation_distance = 0.6,
        range = 10,
        ammo_type =
        {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "projectile",
              projectile = "robot-127x99p",
              starting_speed = 0.3
            }
          }
        }
      }
    },
   subgroup = "armor",
    order = "x-c",
    stack_size = 1
  },
	
	{
    type = "projectile",
    name = "robot-127x99p",
    flags = {"not-on-map"},
    acceleration = 0,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            show_in_tooltip = true,
            entity_name = "robot-127x99",
          },
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/destroyer-capsule.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/combat-robot-capsule-shadow.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
  },
	
	{
    type = "combat-robot",
    name = "robot-127x99",
    icon = "__base__/graphics/icons/destroyer.png",
    flags = {"placeable-player", "player-creation", "not-repairable", "placeable-off-grid", "not-on-map"},
    subgroup="capsule",
    order="e-a-a",
    max_health = 100,
	resistances = 
    {
	  {
        type = "physical",
        percent = 100,
		decrease = 0,
      },
	  {
        type = "fire",
		percent = 100,
		decrease = 0,
      },
	  {
        type = "piercing",
        percent = 100,
		decrease = 0,
      }
    },
    collision_box = {{0, 0}, {0, 0}},
    distance_per_frame = 0.13,
    time_to_live = 60 * 3600,
    follows_player = true,
    friction = 0.01,
    range_from_player = 2.0,
    speed = 0.01,
    destroy_action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        source_effects =
        {
            type = "create-entity",
            entity_name = "explosion"
        }
      }
    },
	attack_parameters =
    {
    type = "projectile",
    range = 28,
    cooldown = 100,
	sound =
      {
        {
          filename = "__hardcorio__/sound/player/weapons/m82.wav",
          volume = 0.4
        }
      },
    ammo_type =
    {
      category = "127x99",
      action =
      {
		type = "direct",
		action_delivery =
		{
			{
			type = "instant",
			source_effects =
			{
				{
				type = "damage",
				damage = { amount = 2, type = "explosion"}
				}
			}	
			},
			{
			type = "projectile",
			projectile = "p127x99ep",
			starting_speed = 3,
			max_range = 24
			},
		}
	}}},
    idle =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/destroyer-robot/destroyer-robot.png",
          priority = "high",
          line_length = 32,
          width = 45,
          height = 39,
          y = 39,
          frame_count = 1,
          direction_count = 32,
          shift = {0.078125, -0.546875},
        },
        {
          filename = "__base__/graphics/entity/destroyer-robot/destroyer-robot-mask.png",
          priority = "high",
          line_length = 32,
          width = 27,
          height = 21,
          y = 21,
          frame_count = 1,
          direction_count = 32,
          shift = {0.078125, -0.734375},
          apply_runtime_tint = true
        },
      }
    },
    shadow_idle =
    {
      filename = "__base__/graphics/entity/destroyer-robot/destroyer-robot-shadow.png",
      priority = "high",
      line_length = 32,
      width = 48,
      height = 32,
      frame_count = 1,
      direction_count = 32,
      shift = {0.78125, 0}
    },
    in_motion =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/destroyer-robot/destroyer-robot.png",
          priority = "high",
          line_length = 32,
          width = 45,
          height = 39,
          frame_count = 1,
          direction_count = 32,
          shift = {0.078125, -0.546875}
        },
        {
          filename = "__base__/graphics/entity/destroyer-robot/destroyer-robot-mask.png",
          priority = "high",
          line_length = 32,
          width = 27,
          height = 21,
          frame_count = 1,
          direction_count = 32,
          shift = {0.078125, -0.734375},
          apply_runtime_tint = true
        }
      }
    },
    shadow_in_motion =
    {
      filename = "__base__/graphics/entity/destroyer-robot/destroyer-robot-shadow.png",
      priority = "high",
      line_length = 32,
      width = 48,
      height = 32,
      frame_count = 1,
      direction_count = 32,
      shift = {0.78125, 0}
    }
  },
 {
    type = "combat-robot",
    name = "fake-robot",
    icon = "__base__/graphics/icons/defender.png",
    flags = {"placeable-player", "player-creation", "not-repairable", "placeable-off-grid", "not-on-map"},
    subgroup="capsule",
    order="e-a-a",
    max_health = 50,
	resistances = 
    {
	  {
        type = "physical",
        percent = 100,
		decrease = 0,
      },
	  {
        type = "fire",
		percent = 100,
		decrease = 0,
      },
	  {
        type = "piercing",
        percent = 100,
		decrease = 0,
      }
    },
    collision_box = {{0, 0}, {0, 0}},
    distance_per_frame = 0.13,
    time_to_live = 60 * 60,
    follows_player = true,
    friction = 1.5,
    range_from_player = 5,
    speed = 0.25,
    destroy_action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        source_effects =
        {
            type = "create-entity",
            entity_name = "explosion"
        }
      }
    },
	attack_parameters =
    {
    type = "projectile",
    range = 3,
    cooldown = 100,
    ammo_type =
    {
     category = "105x",
     action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        source_effects =
        {
          {
            type = "nested-result",
            affects_target = true,
            action =
            {
              type = "area",
              perimeter = 4,
			  entity_flags = {"placeable-enemy", "placeable-neutral"},
              action_delivery =
              {
                type = "instant",
                target_effects = 
                {
                  type = "damage",
                  damage = { amount = 50, type = "fire"}
                }
              }
            },
          },
          {
            type = "create-entity",
            entity_name = "medium-explosion"
          },
          {
            type = "damage",
            damage = { amount = 50, type = "explosion"}
          }
        }
      }
    }}},
    idle =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot.png",
          priority = "high",
          scale = 0.6,
          line_length = 16,
          width = 32,
          height = 33,
          frame_count = 1,
          direction_count = 16,
          shift = {0, 0.015625*0.6}
        },
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot-mask.png",
          priority = "high",
          scale = 0.6,
          line_length = 16,
          width = 18,
          height = 16,
          frame_count = 1,
          direction_count = 16,
          shift = {0, -0.125*0.6},
          apply_runtime_tint = true
        },
      }
    },
    shadow_idle =
    {
      filename = "__base__/graphics/entity/defender-robot/defender-robot-shadow.png",
      priority = "high",
          scale = 0.6,
      line_length = 16,
      width = 43,
      height = 23,
      frame_count = 1,
      direction_count = 16,
      shift = {0.859375*0.6, 0.609375*0.6}
    },
    in_motion =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot.png",
          priority = "high",
          scale = 0.6,
          line_length = 16,
          width = 32,
          height = 33,
          frame_count = 1,
          direction_count = 16,
          shift = {0, 0.015625*0.6},
          y = 33
        },
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot-mask.png",
          priority = "high",
          scale = 0.6,
          line_length = 16,
          width = 18,
          height = 16,
          frame_count = 1,
          direction_count = 16,
          shift = {0, -0.125*0.6},
          apply_runtime_tint = true,
          y = 16
        },
      }
    },
    shadow_in_motion =
    {
      filename = "__base__/graphics/entity/defender-robot/defender-robot-shadow.png",
      priority = "high",
          scale = 0.6,
      line_length = 16,
      width = 43,
      height = 23,
      frame_count = 1,
      direction_count = 16,
      shift = {0.859375*0.6, 0.609375*0.6}
    }
  }, 
  
}
)
