data:extend(
{
   {
    type = "technology",
    name = "electrolize",
    icon = "__hardcorio__/graphics/technology/electrolize.png",
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "electrolizer"
      },
	  {
        type = "unlock-recipe",
        recipe = "electrolize"
      },
	  {
        type = "unlock-recipe",
        recipe = "electrolize-oxy"
      }
    },
	prerequisites = {"electronics"},
    unit =
    {
      count = 30,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 10
    },
    order = "a-a-a",
  },
   {
    type = "technology",
    name = "support-tank",
    icon = "__hardcorio__/graphics/technology/support-tank.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "support-tank"
      },
      {
        type = "unlock-recipe",
        recipe = "chemical-plant"
      },
      {
        type = "unlock-recipe",
        recipe = "biomass-food"
      },
      {
        type = "unlock-recipe",
        recipe = "water"
      }
    },
	prerequisites = {"electrolize", "chemistry"},
    unit =
    {
      count = 30,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 1},
      },
      time = 10
    },
    order = "a-a-a",
  },
   {
    type = "technology",
    name = "radar",
    icon = "__hardcorio__/graphics/technology/radar.png",
	icon_size = 128,
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "radar"
      }
	  
    },
	prerequisites = {"electronics"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 20
    },
    order = "a-a",
  },
   {
    type = "technology",
    name = "observer",
    icon = "__hardcorio__/graphics/technology/radar-2.png",
	icon_size = 128,
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "observer"
      }
	  
    },
	prerequisites = {"elerium-processing", "advanced-electronics-2", "radar"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 2},
		{"science-pack-2", 2},
		{"science-pack-3", 1},
      },
      time = 20
    },
    order = "a-a",
  },
  
  {
    type = "technology",
    name = "laboratory",
    icon = "__hardcorio__/graphics/technology/laboratory.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "lab"
      }
    },
    prerequisites = {"logistics"},
    unit =
    {
      count = 20,
      ingredients =
      {
        {"science-pack-1", 1}
      },
      time = 5
    },
    order = "c-m"
  },
  {
    type = "technology",
    name = "chemistry",
    icon = "__hardcorio__/graphics/technology/chemistry.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "science-pack-2"
      }
    },
    prerequisites = {"logistics"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1}
      },
      time = 15
    },
    order = "c-l-a"
  },
  {
    type = "technology",
    name = "advanced-chemistry-1",
    icon = "__hardcorio__/graphics/technology/advanced-chemistry-1.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "science-pack-3"
      }
    },
    prerequisites = {"advanced-electronics", "battery", "logistics"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 15
    },
    order = "c-l-b"
  },
  {
    type = "technology",
    name = "advanced-chemistry-2",
    icon = "__hardcorio__/graphics/technology/advanced-chemistry-2.png",
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "science-pack-4"
      }
    },
    prerequisites = {"elerium-processing"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 15
    },
    order = "c-l-c"
  },
  {
    type = "technology",
    name = "repair-kit",
    icon = "__hardcorio__/graphics/icons/ammo/repair-kit.png",
    effects =
    {
      {	
        type = "unlock-recipe",
        recipe = "recipe-repair-kit"
      }
    },
    prerequisites = {"automobilism", "advanced-electronics"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 15
    },
    order = "e-c"
  },
  {
    type = "technology",
    name = "medi-kit",
    icon = "__hardcorio__/graphics/icons/ammo/medi-kit.png",
    effects =
    {
      {	
        type = "unlock-recipe",
        recipe = "recipe-regenerator"
      },
      {	
        type = "unlock-recipe",
        recipe = "recipe-medi-kit"
      }
    },
    prerequisites = {"sulfur-processing"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 15
    },
    order = "d-c-a"
  },
  {
    type = "technology",
    name = "elerium-walls",
    icon = "__hardcorio__/graphics/technology/elerium-walls.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "elerium-wall"
      },
      {
        type = "unlock-recipe",
        recipe = "elerium-brick"
      },
      {
        type = "unlock-recipe",
        recipe = "elerium-stone"
      }
    },
	prerequisites = {"sulfur-processing", "advanced-chemistry-2"},
    unit =
    {
      count = 10,
      ingredients =
      {
        {"science-pack-1", 3},
        {"science-pack-2", 2},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
      time = 10
    },
    order = "a-l-a-b"
  },
  {
    type = "technology",
    name = "elerium-gates",
    icon = "__hardcorio__/graphics/technology/elerium-gates.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "elerium-gate"
      }
    },
    prerequisites = {"elerium-walls", "gates"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    order = "a-l-a-c"
  },

{
    type = "technology",
    name = "556x45-basic",
    icon = "__hardcorio__/graphics/technology/556x45-basic.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-m60"
	},
	{
        type = "unlock-recipe",
        recipe = "recipe-minigun"
	},
	{
        type = "unlock-recipe",
        recipe = "recipe-gun-turret-556x45"
    },
    },
	prerequisites = {"automation-2", "steel-processing", "radar"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 5
    },
    order = "a-a-a-a"
},

{
    type = "technology",
    name = "762x39-basic",
    icon = "__hardcorio__/graphics/technology/762x39-basic.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-ak47"
	},
	{
        type = "unlock-recipe",
        recipe = "recipe-rpk74"
	},
	{
        type = "unlock-recipe",
        recipe = "recipe-gun-turret-762x39"
    },
    },
	prerequisites = {"automation-2", "steel-processing", "radar"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 5
    },
    order = "a-a-b-a"
},

{
    type = "technology",
    name = "127x99-basic",
    icon = "__hardcorio__/graphics/technology/127x99-basic.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-m82"
	},
	{
        type = "unlock-recipe",
        recipe = "recipe-gun-turret-127x99"
    },
    },
	prerequisites = {"automation-2", "steel-processing", "radar"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 5
    },
	upgrade = "true",
    order = "a-a-c-a"
},

{
    type = "technology",
    name = "127x99-basic-2",
    icon = "__hardcorio__/graphics/technology/127x99-basic.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-m82s"
	}
    },
	prerequisites = {"127x99-basic", "advanced-electronics"},
    unit =
    {
      count = 10,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 5
    },
	upgrade = "true",
    order = "a-a-c-a"
},

{
    type = "technology",
    name = "heavy-basic",
    icon = "__hardcorio__/graphics/technology/heavy-basic.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "flame-thrower"
	},
	{
        type = "unlock-recipe",
        recipe = "recipe-turret_missle"
    }
    },
	prerequisites = {"556x45-basic", "762x39-basic", "127x99-basic", "oil-processing"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 1},
      },
      time = 10
    },
	upgrade = "true",
    order = "a-a-d-a"
},

{
    type = "technology",
    name = "heavy-basic-2",
    icon = "__hardcorio__/graphics/technology/heavy-basic.png",
    effects =
    {
	{
        type = "unlock-recipe",
        recipe = "recipe-rpg"
	}
    },
	prerequisites = {"heavy-basic", "advanced-electronics"},
    unit =
    {
      count = 10,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 1},
      },
      time = 10
    },
	upgrade = "true",
    order = "a-a-d-a"
},

{
    type = "technology",
    name = "laser-basic",
    icon = "__hardcorio__/graphics/technology/laser-basic.png",
    effects =
    {

    },
	prerequisites = {"556x45-basic",  "elerium-processing"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 3},
        {"science-pack-2", 2},
		{"science-pack-3", 1},
      },
      time = 20
    },
    order = "a-a-e-a"
},

{
    type = "technology",
    name = "plasma-basic",
    icon = "__hardcorio__/graphics/technology/plasma-basic.png",
    effects =
    {

    },
	prerequisites = {"laser-basic", "advanced-chemistry-2"},
    unit =
    {
      count = 50,
      ingredients =
      {
		{"alien-science-pack", 1},
      },
      time = 30
    },
    order = "a-a-f-a"
},

  {
    type = "technology",
    name = "compressing",
    icon = "__hardcorio__/graphics/icons/building/compressor.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "recipe-compressor"
      },
      {
        type = "unlock-recipe",
        recipe = "compressing-iron-ore"
      },
      {
        type = "unlock-recipe",
        recipe = "compressing-copper-ore"
      },
      {
        type = "unlock-recipe",
        recipe = "compressing-iron-plate"
      },
      {
        type = "unlock-recipe",
        recipe = "compressing-copper-plate"
      },
      {
        type = "unlock-recipe",
        recipe = "compressing-steel-plate"
      },
      {
        type = "unlock-recipe",
        recipe = "uncompressing-iron-ore"
      },
      {
        type = "unlock-recipe",
        recipe = "uncompressing-copper-ore"
      },
      {
        type = "unlock-recipe",
        recipe = "uncompressing-iron-plate"
      },
      {
        type = "unlock-recipe",
        recipe = "uncompressing-copper-plate"
      },
      {
        type = "unlock-recipe",
        recipe = "uncompressing-steel-plate"
      },
      {
        type = "unlock-recipe",
        recipe = "smelt-iron-ore-block"
      },
      {
        type = "unlock-recipe",
        recipe = "smelt-copper-ore-block"
      },
	  {
        type = "unlock-recipe",
        recipe = "smelt-iron-plate-block"
      }
    },
	prerequisites = {"automation-2", "steel-processing"},
    unit =
    {
      count = 30,
      ingredients = {{"science-pack-1", 1}},
      time = 15
    },
    order = "c-a-a"
  },

  {
    type = "technology",
    name = "grinding",
    icon = "__hardcorio__/graphics/technology/grinder-upgr.png",
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "recipe-grinder"
      },
      {
        type = "unlock-recipe",
        recipe = "grind-iron"
      },
	  {
        type = "unlock-recipe",
        recipe = "grind-copper"
      },
	  {
        type = "unlock-recipe",
        recipe = "smelt-copper-dust"
      },
	  {
        type = "unlock-recipe",
        recipe = "smelt-iron-dust"
      },
	  {
        type = "unlock-recipe",
        recipe = "recipe-steel-dust"
      },
	  {
        type = "unlock-recipe",
        recipe = "smelt-steel-dust"
      },
	  {
        type = "unlock-recipe",
        recipe = "compressing-iron-dust"
      },
	  {
        type = "unlock-recipe",
        recipe = "compressing-copper-dust"
      },
	  {
        type = "unlock-recipe",
        recipe = "compressing-steel-dust"
      },
	  {
        type = "unlock-recipe",
        recipe = "uncompressing-iron-dust"
      },
	  {
        type = "unlock-recipe",
        recipe = "uncompressing-copper-dust"
      },
	  {
        type = "unlock-recipe",
        recipe = "uncompressing-steel-dust"
      },
	  {
        type = "unlock-recipe",
        recipe = "smelt-iron-dust-block"
      },
	  {
        type = "unlock-recipe",
        recipe = "smelt-copper-dust-block"
      },
	  {
        type = "unlock-recipe",
        recipe = "smelt-steel-dust-block"
      }
    },
	prerequisites = {"alien-technology", "advanced-electronics", "compressing"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
		{"science-pack-2", 1}
      },
      time = 10
    },
    order = "c-a-b",
  },
    {
    type = "technology",
    name = "elerium-processing",
    icon = "__hardcorio__/graphics/technology/elerium-upgr.png",
    effects =
    {      
	{
        type = "unlock-recipe",
        recipe = "elerium-drill"
      },
      {
        type = "unlock-recipe",
        recipe = "grind-elerium"
      },
	  {
        type = "unlock-recipe",
        recipe = "washing-elerium"
      },
	  {
        type = "unlock-recipe",
        recipe = "eleriumite-dust"
      },
	  {
        type = "unlock-recipe",
        recipe = "compressing-elerium-dust"
      },
	  {
        type = "unlock-recipe",
        recipe = "power-source"
      }
    },
	prerequisites = {"grinding", "advanced-chemistry-1"},
    unit =
    {
      count = 150,
      ingredients =
      {
        {"science-pack-1", 2},
		{"science-pack-2", 1},
		{"science-pack-3", 1},
      },
      time = 20
    },
    order = "c-j",
  },
    {
    type = "technology",
    name = "fusion-reactor",
    icon = "__hardcorio__/graphics/icons/building/fr.png",
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "fusion-reactor"
      }
	  
    },
	prerequisites = {"laser-turret-3"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 2},
		{"science-pack-2", 1},
		{"science-pack-3", 1},
      },
      time = 20
    },
    order = "c-j-b",
  },
}
)
